# Interface VisualCppPlatformToolChain

All Superinterfaces:
  `NativePlatformToolChain`

@Incubating public interface VisualCppPlatformToolChain extends NativePlatformToolChain
Visual C++ specific settings for the tools used to build for a particular platform.

## Method Summary

Modifier and Type
Method
Description
`CommandLineToolConfiguration`
`getAssembler()`
Returns the settings to use for the assembler.
`CommandLineToolConfiguration`
`getcCompiler()`
Returns the settings to use for the C compiler.
`CommandLineToolConfiguration`
`getCppCompiler()`
Returns the settings to use for the C++ compiler.
`CommandLineToolConfiguration`
`getLinker()`
Returns the settings to use for the linker.
`CommandLineToolConfiguration`
`getRcCompiler()`
Returns the settings to use for the Windows resources compiler.
`CommandLineToolConfiguration`
`getStaticLibArchiver()`
Returns the settings to use for the archiver.

### Methods inherited from interface NativePlatformToolChain

`getPlatform`

## Method Details

### getcCompiler

CommandLineToolConfiguration getcCompiler()
Returns the settings to use for the C compiler.

### getCppCompiler

CommandLineToolConfiguration getCppCompiler()
Returns the settings to use for the C++ compiler.

### getRcCompiler

CommandLineToolConfiguration getRcCompiler()
Returns the settings to use for the Windows resources compiler.

### getAssembler

CommandLineToolConfiguration getAssembler()
Returns the settings to use for the assembler.

### getLinker

CommandLineToolConfiguration getLinker()
Returns the settings to use for the linker.

### getStaticLibArchiver

CommandLineToolConfiguration getStaticLibArchiver()
Returns the settings to use for the archiver.